import { getSession, signOut } from "next-auth/react"
import { redirect } from "next/navigation";

export const setTypeSession = (typeLogin: string) => {
    let typeLogin2 = '';
    if (typeLogin == undefined || typeLogin == '') {
        typeLogin2 = 'credentials';
    }else{
        typeLogin2 = typeLogin;
    }    
    localStorage.setItem('typeLogin',typeLogin2);
}

export const closeSession = async () => {
    let typeLogin = '';
    const encryptedDataGet: string = localStorage.getItem('typeLogin') || '';    
    if (encryptedDataGet) {
        typeLogin = encryptedDataGet;
    }
    if (typeLogin == 'accessToken') {
        await signOut({redirect: false});
        window.location.href = `${process.env.BASE_URL_API}/agente`;
    } else {
        await signOut({
            redirect: false,
            callbackUrl: `${process.env.ASSET_PREFIX}/chat/login`
        });
        window.location.href = `${process.env.ASSET_PREFIX}/chat/login`;
    }
}